<template>
  <v-btn
    rounded
    color="green lighten-1"
    :outlined="outlined"
    dark
    large
    @click="handleClick"
  >
    {{ buttonName }}
  </v-btn>
</template>

<script>
export default {
  name: 'RegisterButton',
  props: {
    'buttonName': {
      default: '',
      type: String,
    },
    'outlined': {
      default: false,
      type: Boolean,
    },
  },
  methods: {
    handleClick() {
      this.$emit('clicked');
    },
  },
};
</script>

<style scoped>

</style>
